<div class="wrap">
	<div id="icon-options-general" class="icon32"><br /></div>
	<h2><?php _e('Google Reader Stat', 'google-reader-stats'); ?></h2>
	<?php
	$like_order = "grslike";
	$view_order = "grsview";
	$page_url = 'admin.php?page='.plugin_basename(dirname(__FILE__)).'/google-reader-view-stats.php';
	if(isset($_GET['like_order']) and $_GET['like_order'] == 'date')
		$like_order = 'post_date';
	if(isset($_GET['view_order']) and $_GET['view_order'] == 'date')
		$view_order = 'post_date';
	$most_liked = $wpdb->get_results("SELECT DISTINCT $wpdb->posts.*, (meta_value+0) AS grslike FROM $wpdb->posts LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID WHERE post_date < '".current_time('mysql')."' AND post_status = 'publish' AND meta_key = 'grslike' AND post_password = '' ORDER  BY $like_order DESC LIMIT 30");
	$most_viewed = $wpdb->get_results("SELECT DISTINCT $wpdb->posts.*, (meta_value+0) AS grsview FROM $wpdb->posts LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID WHERE post_date < '".current_time('mysql')."' AND post_status = 'publish' AND meta_key = 'grsview' AND post_password = '' ORDER  BY $view_order DESC LIMIT 30");
	?>
	<?php _e('To sort the results by like/view count or post date you can click on table header.', 'google-reader-stats');?> <br />
	<h3><?php _e('Like Stats', 'google-reader-stats');?></h3>
	<table class="widefat" width="100%">
		<thead>
			<tr>
				<th><?php _e('Post', 'google-reader-stats'); ?></th>
				<th style="width:15%;"><a href="<?php echo $page_url;?>&like_order=date"><?php _e('Publish Date', 'google-reader-stats'); ?></a></th>
				<th style="width:8%;"><a href="<?php echo $page_url;?>&like_order=like"><?php _e('Like', 'google-reader-stats'); ?></a></th>
			</tr>
		</thead>
	<?php
		if($most_liked) {
			$i = 0;
			foreach ($most_liked as $post) 
			{
				$post_likes = intval($post->grslike);
				$post_date = date('Y-M-d', strtotime($post->post_date));
				if($post_likes >= 100)
					$post_likes = "+100";
				if($i%2 == 0) $style = '';
				else $style = ' class="alternate"';
				echo "<tr $style>\n";
				echo "<td><a href=\"".get_permalink()."\">$post->post_title</a></td>\n";
				echo "<td>$post_date</td>\n";
				echo "<td>$post_likes</td>\n";
				echo '</tr>';
				$i++;		
			}
		} else {
			echo '<tr><td align="center"><strong>'.__('N/A', 'google-reader-stats').'</strong></td></tr>';
		}
	?>
	</table>
	<br />
	<h3><?php _e('Feed View Stats', 'google-reader-stats');?></h3>
	<table class="widefat" width="100%">
		<thead>
			<tr>
				<th><?php _e('Post', 'google-reader-stats'); ?></th>
				<th style="width:15%;"><a name="view" href="<?php echo $page_url;?>&view_order=date#view"><?php _e('Publish Date', 'google-reader-stats'); ?></a></th>
				<th style="width:8%;"><a href="<?php echo $page_url;?>&view_order=view#view"><?php _e('Feed View', 'google-reader-stats'); ?></a></th>
			</tr>
		</thead>
	<?php
		if($most_viewed) {
			$i = 0;
			foreach ($most_viewed as $post) 
			{
				$post_views = number_format_i18n($post->grsview);
				$post_date = date('Y-M-d', strtotime($post->post_date));
				if($i%2 == 0) $style = '';
				else $style = ' class="alternate"';
				echo "<tr $style>\n";
				echo "<td><a href=\"".get_permalink()."\">$post->post_title</a></td>\n";
				echo "<td>$post_date</td>\n";
				echo "<td>$post_views</td>\n";
				echo '</tr>';
				$i++;		
			}
		} else {
			echo '<tr><td align="center"><strong>'.__('N/A', 'google-reader-stats').'</strong></td></tr>';
		}
	?>
	</table>

</div>
